<?php
/**
 * This file is part of Gutenberg Tabs.
 *
 * Gutenberg Tabs is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 2 of the License, or any later version.
 *
 * Gutenberg Tabs is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Gutenberg Tabs.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Plugin Name:     Gutenberg Tabs
 * Plugin URI:      https://extensions.tandem.blog/gutenberg-tabs
 * Description:     Tabs container block for Gutenberg.
 * Version:         2021103100
 * Author:          Tàndem
 * Author URI:      https://tandem.blog/
 * Text Domain:     gutenberg-tabs
 * Domain Path:     /languages
 * Requires PHP:    7.4
 * Requires WP:     5.5.0
 * License:         GPL-2.0-or-later
 * License URI:     https://www.gnu.org/licenses/gpl-2.0.html
 */

declare( strict_types=1 );

use GutenbergTabs\Bootstrap;

add_action(
	'plugins_loaded',
	static function () {
		require_once __DIR__ . '/vendor/autoload.php';
		try {
			new Bootstrap( __FILE__ );
		} catch ( Throwable $e ) {
			$message = sprintf(
			// Translators: %s is exception’s error message.
				__( '<p>Gutenberg Tabs is unable to run its bootstrap class.</p><p><strong>Error</strong>: %s.</p>', 'gutenberg-tabs' ),
				$e->getMessage()
			);
			wp_die( $message );
		}
	}
);
