/**
 * This file is part of Gutenberg Tabs.
 *
 * Gutenberg Tabs is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 2 of the License, or any later version.
 *
 * Gutenberg Tabs is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Gutenberg Tabs.  If not, see <https://www.gnu.org/licenses/>.
 */

jQuery( function ( $ ) {

	$( '.wp-block-tandem-tab' ).each( function ( index, el ) {
		el.id = 'tandem-tab-' + index;
	} );

	var $tabs = $( '.wp-block-tandem-tabs' );

	$tabs.each( function ( index, el ) {
		var $el = $( el );
		var list = $( '<ul>', { class: 'wp-block-tandem-tabs__selector' } );
		var count = 0;
		$el.find( '.wp-block-tandem-tab' ).each( function ( index, tab ) {
			var img = $( '<img>', {
				src: tab.dataset.iconUrl,
				width: tab.dataset.iconWidth,
				height: tab.dataset.iconHeight,
				alt: ''
			} );
			var label = tab.dataset.label || '';
			list.append( $( '<li></li>' )
				.append(
					$( '<a></a>', { href: '#' + tab.id } )
						.append( img )
						.append( '<h3>' + label + '</h3>' )
				)
			);
			count ++;
		} );
		$el.append( list );

		$el.tabs( {
			hide: 300,
			show: 300,
		} )

		var autoplaySpeed = $el.data( 'autoplay' );
		if ( undefined !== autoplaySpeed ) {
			var activateNextTab = function () {
				if ( $el.filter( ':hover' ).length > 0 ) {
					return;
				}
				var active_tab = $el.tabs( 'option', 'active' );
				active_tab = active_tab === count - 1 ? 0 : active_tab + 1;
				$el.tabs( 'option', 'active', active_tab );
			};
			setInterval( activateNextTab, autoplaySpeed );
		}
	} );
} );
